> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create shop coupon copy



## OpenAPI

````yaml post /{shopId}/coupons
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/coupons:
    post:
      tags:
        - Coupons
      summary: Create shop coupon Copy
      description: Create shop coupon Copy
      operationId: createShopCouponCopy
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                _id:
                  type: string
                  example: 63d90762691c5a2faaa91c76
                amount:
                  type: number
                  example: 5000
                applyAutomatically:
                  type: boolean
                  example: false
                applyOn:
                  type: string
                  example: total
                code:
                  type: string
                  example: 947PG8G
                code_type:
                  type: string
                  example: flat
                created:
                  type: string
                  example: '2023-01-31T12:19:46.767Z'
                description:
                  type: string
                  example: ''
                expires:
                  type: string
                  example: '2023-02-03T23:00:00.000Z'
                isActive:
                  type: boolean
                  example: true
                isPublic:
                  type: boolean
                  example: false
                max_order:
                  nullable: true
                  example: null
                mediaType:
                  nullable: true
                  example: null
                min_order:
                  type: number
                  example: 0
                shop:
                  type: string
                  example: 62dec73d93a7452ccf49ea2f
                starts:
                  type: string
                  example: '2023-01-31T12:19:24.552Z'
                usageCount:
                  type: number
                  example: 0
                usageLimit:
                  type: object
                  properties:
                    canUseWithOtherCoupons:
                      type: boolean
                      example: false
                    maxNumberOfUses:
                      type: number
                      example: 0
                    maxNumberOfUsesPerUser:
                      nullable: true
                      example: null
                    useIfNumberOfOrders:
                      type: object
                      properties:
                        count:
                          nullable: true
                          example: null
                usageRestriction:
                  type: object
                  properties:
                    categories:
                      type: object
                      properties:
                        condition:
                          type: string
                          example: or
                        contains:
                          type: array
                          items: {}
                          example: []
                    products:
                      type: object
                      properties:
                        condition:
                          type: string
                          example: or
                        contains:
                          type: array
                          items: {}
                          example: []
                    roles:
                      type: object
                      properties:
                        accept:
                          type: array
                          items: {}
                          example: []
                        exclude:
                          type: array
                          items: {}
                          example: []
                    tags:
                      type: object
                      properties:
                        condition:
                          type: string
                          example: or
                        contains:
                          type: array
                          items: {}
                          example: []
                    users:
                      type: object
                      properties:
                        condition:
                          type: string
                          example: all
                        contains:
                          type: array
                          items: {}
                          example: []
            example:
              _id: 63d90762691c5a2faaa91c76
              amount: 5000
              applyAutomatically: false
              applyOn: total
              code: 947PG8G
              code_type: flat
              created: '2023-01-31T12:19:46.767Z'
              description: ''
              expires: '2023-02-03T23:00:00.000Z'
              isActive: true
              isPublic: false
              max_order: null
              mediaType: null
              min_order: 0
              shop: 62dec73d93a7452ccf49ea2f
              starts: '2023-01-31T12:19:24.552Z'
              usageCount: 0
              usageLimit:
                canUseWithOtherCoupons: false
                maxNumberOfUses: 0
                maxNumberOfUsesPerUser: null
                useIfNumberOfOrders:
                  count: null
              usageRestriction:
                categories:
                  condition: or
                  contains: []
                products:
                  condition: or
                  contains: []
                roles:
                  accept: []
                  exclude: []
                tags:
                  condition: or
                  contains: []
                users:
                  condition: all
                  contains: []
      responses:
        '200':
          description: ''

````